> ## Documentation Index
> Fetch the complete documentation index at: https://docs.evermind.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Document

> Update mutable document metadata fields.



## OpenAPI

````yaml /api-reference/openapi-oss.json patch /api/v1/knowledge/documents/{doc_id}
openapi: 3.1.0
info:
  title: everos
  description: md-first memory extraction framework
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/knowledge/documents/{doc_id}:
    patch:
      tags:
        - knowledge
      summary: Update Document
      description: Update mutable document metadata fields.
      operationId: patch_document_route_api_v1_knowledge_documents__doc_id__patch
      parameters:
        - name: doc_id
          in: path
          required: true
          schema:
            type: string
            pattern: ^d_[a-f0-9]{12,32}$
            title: Doc Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DocumentPatchRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SuccessEnvelope_DocumentPatchResponse_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    DocumentPatchRequest:
      properties:
        title:
          anyOf:
            - type: string
              minLength: 1
              pattern: \w
            - type: 'null'
          title: Title
        category_id:
          anyOf:
            - type: string
              minLength: 1
            - type: 'null'
          title: Category Id
        app_id:
          type: string
          title: App Id
          default: default
        project_id:
          type: string
          title: Project Id
          default: default
      type: object
      title: DocumentPatchRequest
      description: Request body for PATCH /documents/{doc_id}.
    SuccessEnvelope_DocumentPatchResponse_:
      properties:
        request_id:
          type: string
          title: Request Id
        data:
          $ref: '#/components/schemas/DocumentPatchResponse'
      type: object
      required:
        - request_id
        - data
      title: SuccessEnvelope[DocumentPatchResponse]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    DocumentPatchResponse:
      properties:
        doc_id:
          type: string
          title: Doc Id
        updated_fields:
          items:
            type: string
          type: array
          title: Updated Fields
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - doc_id
        - updated_fields
        - updated_at
      title: DocumentPatchResponse
      description: Response for PATCH /documents/{doc_id}.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````